%define oname geki3-KXL
%define name geki3
%define version 1.0.3
%define release 2mdk

Summary: Geki3 arcade shooter
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: Games/Arcade
Source: %{oname}-%{version}.tar.gz
URL: http://kxl.hn.org/
BuildRoot: %_tmppath/%{name}-%{version}-root
BuildRequires: KXL-devel >= 1.1.1

%description

Geki3 is a 2D horizontal scrolling shooter. It reminds of classic arcade
or console games.


%prep
rm -rf ${RPM_BUILD_ROOT}

%setup -q -n %{oname}-%{version}

%build
%configure
%make

%install
rm -rf ${RPM_BUILD_ROOT}
%makeinstall_std
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT/%{_menudir}/%name
?package(%name):\
needs="x11"\
section="Amusement/Arcade"\
title="Geki3-KXL"\
longtitle="Horizontal scrolling arcade shooter"\
command="geki3"\
icon="arcade_section.png"
EOF
#fix score file
mkdir -p %buildroot%_localstatedir/games
mv %buildroot%{_datadir}/geki3/data/.score %buildroot%_localstatedir/games/%name.score
ln -s %_localstatedir/games/%name.score %buildroot%{_datadir}/geki3/data/.score


%clean
rm -rf ${RPM_BUILD_ROOT}

%post
%{update_menus}
%postun
%{clean_menus}

%files
%defattr(-,root,root)
%doc COPYING ChangeLog README
%{_bindir}/geki3
%{_datadir}/geki3
%attr(664, games, games) %_localstatedir/games/%name.score
%_menudir/%name

%changelog
* Sun Jan 19 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.0.3-2mdk
- fix URL
- fix description

* Sat Jan 18 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.0.3-1mdk
- initial Mandrake package

* Tue Nov 12 2002 SATO Katsuyoshi <kacchan@circus.ocn.ne.jp>
- (1.0.3-1)
- It corresponds to KXL 1.1.5.

* Wed Aug 29 2001 SATO Katsuyoshi <fc3srx7@mwnet.or.jp>
- (1.0.1-1)
- first build
